import { CertificatePair, ConfigPreset, NodeAccount } from '../model';
import { ConfigParams } from './ConfigService';
declare type CertificateParams = ConfigParams;
interface NodeCertificates {
    ssl: CertificatePair;
    node: CertificatePair;
}
/**
 * TODO remote if not used!
 */
export declare class SshpkService {
    private readonly root;
    protected readonly params: CertificateParams;
    constructor(root: string, params: CertificateParams);
    private createKey;
    run(presetData: ConfigPreset, nodeAccount: NodeAccount): Promise<NodeCertificates>;
    private createCertCommands;
}
export {};
